<p-panel>
    <p-header>
        <ul class="nav justify-content-end">
            <li class="nav-item" [hidden]="packageReceipt.currentStatus != 10">
                <a class="btn" (click)="activate()"  style="cursor: pointer;">
                    <i class="fa fa-check"></i> &nbsp; Activate
                </a>
            </li>
            <li class="nav-item" [hidden]="packageReceipt.currentStatus != 11">
                <a class="btn" (click)="processToSPG()"  style="cursor: pointer;">
                    <i class="fa fa-check"></i> &nbsp; Create SPG
                </a>
            </li>
            <li class="nav-item" [hidden]="!(packageReceipt.currentStatus == 10 || packageReceipt.currentStatus == 11)">
                <a class="btn" (click)="cancelData()" style="cursor: pointer;">
                    <i class="fa fa-times"></i> &nbsp;{{'entity.action.cancel' | translate}}
                </a>
            </li>
            <!-- <li class="nav-item">
                <a class="btn" (click)="save()" style="cursor: pointer;">
                    <i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}
                </a>
            </li> -->
            <li class="nav-item">
                <a class="btn" (click)="previousState()" style="cursor: pointer;">
                    <i class="fa fa-arrow-left"></i> &nbsp;{{'entity.action.back' | translate}}
                </a>
            </li>
        </ul>
    </p-header>
    <div class="card-deck" style="margin-bottom: 15px;">
        <div class="card">
            <div class="card-block">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form-control-label" jhiTranslate="mpmApp.packageReceipt.documentNumber" for="field_documentNumber">Document Number</label>
                            <input type="text" class="form-control" name="documentNumber" id="field_documentNumber"
                                [(ngModel)]="packageReceipt.documentNumber" readonly />
                        </div>
                        <div class="form-group">
                            <label jhiTranslate="mpmApp.packageReceipt.internal" for="field_internal">Internal</label>
                            <select class="form-control" id="field_internal" name="internal" [(ngModel)]="packageReceipt.internalId" >
                                <option [ngValue]="null"></option>
                                <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label class="form-control-label" jhiTranslate="mpmApp.packageReceipt.dateCreated" for="field_dateCreated">Date Created</label>
                            <div class="input-group">
                                <p-calendar inputId="field_dateCreated" name="input_dateCreated" [(ngModel)]="packageReceipt.dateCreated"
                                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                                    [showIcon]="true"></p-calendar>
                            </div>
                        </div>                        
                    </div>
                    <div class="col-sm-6">
                        <!-- <div class="form-group">
                            <label jhiTranslate="mpmApp.packageReceipt.shipFrom" for="field_shipFrom">Ship From</label>
                            <select class="form-control" id="field_shipFrom" name="shipFrom" [(ngModel)]="packageReceipt.shipFromId" >
                                <option [ngValue]="null"></option>
                                <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.id}}</option>
                            </select>
                        </div> -->
                        <!-- <div class="form-group">
                            <label>Main Dealer</label>
                            <select class="form-control" id="field_shipFrom" name="shipFrom" [(ngModel)]="packageReceipt.shipFromId" >
                                <option [ngValue]="null"></option>
                                <option [ngValue]="vendorOption.idVendor" *ngFor="let vendorOption of vendors; trackBy: trackVendorById">{{vendorOption.organization.name}}</option>
                            </select>
                        </div> -->
                        <div class="form-group">
                            <label class="form-control-label" for="field_status2">Ship Type</label>
                            <select class="form-control" id="field_status2" name="status2" [(ngModel)]="packageReceipt.shipType"
                            (ngModelChange)="getLovShipfrom($event)">
                                <option [ngValue]="status.statusId" *ngFor="let status of statusFilter">{{status.statusDeskripsi}}</option>
                            </select>
                        </div>
                        <div class="form-group" *ngIf="idVendor === undefined">
                            <label>Ship From</label>
                            <select class="form-control" id="field_shipFrom" name="shipFrom" [(ngModel)]="packageReceipt.shipFromId" >
                            <ng-container *ngIf="isInternal">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals ; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                            </ng-container>
                            <ng-container *ngIf="isVendor">
                                <option [ngValue]="null"></option>
                                <option [ngValue]="vendorOption.idVendor" *ngFor="let vendorOption of vendors; trackBy: trackVendorById">{{vendorOption.organization.name}}</option>
                            </ng-container>
                            </select>
                        </div>
                        <div class="form-group">
                            <label class="form-control-label" jhiTranslate="mpmApp.packageReceipt.vendorInvoice" for="field_vendorInvoice">Vendor Invoice</label>
                            <input type="text" class="form-control" name="vendorInvoice" id="field_vendorInvoice"
                                [(ngModel)]="packageReceipt.vendorInvoice"  />
                        </div>
                    </div>    
                </div>
            </div>
        </div>
    </div>
    <jhi-unit-shipment-receipt-as-list [idShipmentPackage]="idPackage" [qtyAccept]="qtyAccept" usedFor="detail"></jhi-unit-shipment-receipt-as-list>
    
    <h4>Unit Selisih</h4>
    
    <jhi-unit-shipment-receipt-as-list [idShipmentPackage]="idPackage" [qtyAccept]="qtyReject" usedFor="detail"></jhi-unit-shipment-receipt-as-list>
</p-panel>
<p-confirmDialog></p-confirmDialog>